Download it now!
Bug 34703 - New keyboard shortcuts are sometimes not remembered
Summary: New keyboard shortcuts are sometimes not remembered
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: PowerPC Mac OS X (All)
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard
  Show dependency treegraph
 
Reported: 2011-02-25 02:08 UTC by herrdeh
Modified: 2013-07-28 08:31 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description herrdeh 2011-02-25 02:08:37 UTC
When I try to assign a new keyboard shortcut, quite often it is "forgotten" after quitting LibO. It looks as if registrymodifications.xcu would be restored to the status quo ante.
Comment 1 Cédric Bosdonnat 2011-02-25 02:26:00 UTC
Could you please provide more details on the exact steps you are performing to reproduce this safely?
Comment 2 herrdeh 2011-02-25 02:35:52 UTC
Open the keyboard shortcut editor - assign a shortcut - say o.k. 
Work on with LibO.
Quit LibO at a certain time.
Restart it next day - shortcuts are lost.
Comment 3 Cédric Bosdonnat 2011-02-25 02:48:09 UTC
I tried to:
 * set showing the LibreOffice Credits when hitting the Ctrl+8 shortcut
 * Hit CTRL+8: it worked
 * Close LibreOffice
 * Start it again
 * Hit CTRL+8: it still works. The shortcut is even shown in the editor.

I tried this on a 3.3.1 build on a Linux machine. Can you reproduce the bug on a windows or linux install or is it specific to macosx? Did you try with LibreOffice 3.3.1?
Comment 4 herrdeh 2011-02-25 03:05:41 UTC
In OOO keyboard shortcuts used to be special issue for Mac OS X - so it might be limiited to Mac OS X
Comment 5 herrdeh 2011-03-02 07:09:23 UTC
I tried to assign some keyboard shortcuts to home-brew macros on my Mac. It's really annoying, it just does not work! - Assigning them to symbols works, but shortcuts are much faster and useful. Please rush and fix that!
Comment 6 Cédric Bosdonnat 2011-03-02 07:18:09 UTC
(In reply to comment #5)
> I tried to assign some keyboard shortcuts to home-brew macros on my Mac. It's
> really annoying, it just does not work! - Assigning them to symbols works, but
> shortcuts are much faster and useful. Please rush and fix that!

It's not by hitting us that you'll get it fixed!

Thorsten, please fix it at the pace that fits your workload.
Comment 7 herrdeh 2011-03-02 07:21:14 UTC
Please apologize my rude statement - writing this way is not acceptable. Sorry!
Comment 8 herrdeh 2011-03-14 12:53:36 UTC
Quite a similar thing is described here:

https://bugs.freedesktop.org/show_bug.cgi?id=33912
Comment 9 Rainer Bielefeld Retired 2011-10-18 10:54:14 UTC
This one might be related to "Bug 40578 - CONFIGURATION: Tools-Customize-Keyboard changes should be persistent".
Comment 10 Urmas 2013-07-28 08:31:52 UTC
Closing a PowerPC-specific bug. Please reopen if it can be reproduced on Intel hardware too.